com.pixelmed.test

## Class TestDicomDirectoryRecordSortOrder

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestDicomDirectoryRecordSortOrder

-     public class TestDicomDirectoryRecordSortOrder
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestDicomDirectoryRecordSortOrder(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestDicomDirectoryRecordSortOrder_DifferentRecordTypesInteger()`
    `void` | `TestDicomDirectoryRecordSortOrder_DifferentRecordTypesString()`
    `void` | `TestDicomDirectoryRecordSortOrder_IdenticalPatientRecord()`
    `void` | `TestDicomDirectoryRecordSortOrder_IdenticalPatientStudySeriesAttributes()`
    `void` | `TestDicomDirectoryRecordSortOrder_IdenticalSeriesRecord()`
    `void` | `TestDicomDirectoryRecordSortOrder_IdenticalStudyRecord()`
    `void` | `TestDicomDirectoryRecordSortOrder_IdenticalUnrecognizedRecord()`
    `void` | `TestDicomDirectoryRecordSortOrder_SameStringDifferentUIDStudyRecord()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestDicomDirectoryRecordSortOrder

          public TestDicomDirectoryRecordSortOrder(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestDicomDirectoryRecordSortOrder_IdenticalUnrecognizedRecord

          public void TestDicomDirectoryRecordSortOrder_IdenticalUnrecognizedRecord()
                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDicomDirectoryRecordSortOrder_IdenticalSeriesRecord

          public void TestDicomDirectoryRecordSortOrder_IdenticalSeriesRecord()
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDicomDirectoryRecordSortOrder_IdenticalStudyRecord

          public void TestDicomDirectoryRecordSortOrder_IdenticalStudyRecord()
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDicomDirectoryRecordSortOrder_SameStringDifferentUIDStudyRecord

          public void TestDicomDirectoryRecordSortOrder_SameStringDifferentUIDStudyRecord()
                                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDicomDirectoryRecordSortOrder_IdenticalPatientRecord

          public void TestDicomDirectoryRecordSortOrder_IdenticalPatientRecord()
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDicomDirectoryRecordSortOrder_DifferentRecordTypesString

          public void TestDicomDirectoryRecordSortOrder_DifferentRecordTypesString()
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDicomDirectoryRecordSortOrder_DifferentRecordTypesInteger

          public void TestDicomDirectoryRecordSortOrder_DifferentRecordTypesInteger()
                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDicomDirectoryRecordSortOrder_IdenticalPatientStudySeriesAttributes

          public void TestDicomDirectoryRecordSortOrder_IdenticalPatientStudySeriesAttributes()
                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`